> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all actions of an environment GET https://api.contentful.com/spaces/{space_id}/environments/{external_environment_id}/actions Reference: https://contentful.com/developers/docs/references/content-management-api/app-actions/get-all-actions-of-an-environment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — space_id identifier - `external_environment_id` (string, required) — external_environment_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "include": [ { "locations": [ { "location": "entry-sidebar" } ], "name": "Hello world!", "src": "https://example.com/app.html", "sys": { "createdAt": "2025-01-28T23:36:47.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "AppDefinition", "updatedAt": "2025-01-28T23:36:47.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ], "items": [ { "category": "Custom", "description": "Action that triggers builds for your website", "name": "Trigger Build", "parameters": [ { "description": "Website you want to build", "id": "website", "name": "Website", "type": "Symbol" } ], "sys": { "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "id": "6zbidGOqH...", "type": "AppAction" } } ], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 1 } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const appActions = await client.appAction.getManyForEnvironment({ spaceId: '', environmentId: '', }) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```